#****************************************************************************
#**
#**  File     :  /cdimage/units/URL0309/URL0309_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Cybran Tier 3 Engineer Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CConstructionUnit = import('/lua/modules/cybranunits.lua').CConstructionUnit

LD011 = Class(CConstructionUnit) {
    BuildBones = {
        YawBone = 'Buildpoint_Center',
        PitchBone = 'Buildpoint_Center',
        BuildEffectBones = {'Buildpoint_Left','Buildpoint_Center','Buildpoint_Right'},
    },
OnStopBeingBuilt = function(self,builder,layer)
        CConstructionUnit.OnStopBeingBuilt(self,builder,layer)
        self:SetMaintenanceConsumptionInactive()
        self:SetScriptBit('RULEUCC_StealthToggle', true)
        self:RequestRefreshUI()
    end,
}
TypeClass = LD011